Summary: The kernel module utilities.
Name: modutils
Version: 2.4.27
Release: 1tr
License: GPL
Group: Trustix Official
Source: http://www.kernel.org/pub/linux/utils/kernel/modutils/v2.4/modutils-%{version}.tar.bz2
Buildroot: %{_tmppath}/modutils-root
Prereq: /sbin/chkconfig
Requires: crond
Requires: module-init-tools

%description
The modutils packages includes programs for managing automatic
loading and unloading of modules under 2.2 and 2.4 kernels, as well as 
other module management programs.  Examples of loaded and unloaded 
modules are device drivers and filesystems, as well as some other things.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --disable-combined --enable-insmod-static --mandir=%{_mandir}
make dep all

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_mandir}/man{1,2,8},/sbin}}
make install prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT \
             mandir=$RPM_BUILD_ROOT%{_mandir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
touch $RPM_BUILD_ROOT%{_sysconfdir}/modutils.conf

# security hole, works poorly anyway
rm -f $RPM_BUILD_ROOT/sbin/request-route

pushd $RPM_BUILD_ROOT/sbin
	for i in depmod insmod insmod.static lsmod modinfo modprobe rmmod ; do 
		mv $i $i.old
	done
popd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
/sbin/*
%ghost %{_sysconfdir}/modutils.conf

%changelog
* Mon Mar 15 2004 Chr. Toldnes <christht at trustix dot org> 2.4.27-1tr
- Rebuild

* Tue Mar  9 2004 Omar Kilani <ok at trustix dot org> 2.4.27-1ok
- New upstream.

* Tue Jan 20 2004 Tor Hveem <torh at trustix dot org> 2.4.26-3th
- Added config file
- Added missing lsmod rename

* Tue Jan 20 2004 Chr. Toldnes <christht at trustix dot org> 2.4.26-2ct
- Ajusted to module-init-tools

* Sun Dec  7 2003 Erlend Midttun <erlendbm at trustix dot org> 2.4.26-1tr
- New upstream.

* Thu Nov 21 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.21-4tr
- Fix group.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.21-3tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.21-2em
- Rebuilt against glibc 2.3.2.

* Mon Nov 04 2002 Erlend Midttun <erlendbm at trustix dot com> 2.4.21-1em
- New version.

* Tue Sep 10 2002 Erlend Midttun <erlendbm at trustix dot com> 2.4.16-2em
- Changed Requires to the more generic crond.

* Sun Jun  9 2002 Goetz Bock <bock at trustix dot org> 2.4.16-1bg
- new upstream version: 2.4.16

* Sat Apr  6 2002 Goetz Bock <bock@blacknet.d> 2.4.15-1bn
- New upstream version: 2.4.15

* Thu Mar 21 2002 Goetz Bock <bock@blacknet.de> 2.4.14-1bn
- New upstream version: 2.4.14
- ugly hack to make %install work with --disable-combined

* Fri Jun  8 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 2.4.6

* Fri Mar  9 2001 Erlend Midttun <erlendbm at trustix dot com>
- Just took care of an old conf.modules if such exists.

* Tue Mar  6 2001 Oystein Viggen <oysteivi at trustix dot com>
- update to v2.4.3

* Fri Feb  2 2001 Oystein Viggen <oysteivi at trustix dot com>
- update to v2.4.1

* Mon Jan 24 2000 Tore Olsen <toreo at trustix dot com>
- moved /usr/man to /usr/share/man for FHS compliance

* Wed Sep 15 1999 Jakub Jelinek <jakub@redhat.com>
- rewrite sparckludge so that separate *64 binaries
  are not needed anymore.

* Sat Sep 11 1999 Cristian Gafton <gafton@redhat.com>
- apply the last patch in the %prep section (doh!)

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- add support for the ppp compression modules by default

* Tue Apr 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- add cron.d file to run rmmod -as

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- take out kerneld

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- add patch to make all raid personalities recognized

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- obsoletes modules
- get rid of the /lib/modules/preferred hack

* Mon Mar 15 1999 Bill Nottingham <notting@redhat.com>
- added support for /lib/modules/foo/pcmcia
- make kerneld initscript not start by default

* Tue Feb 23 1999 Matt Wilson <msw@redhat.com>
- added sparc64 support from UltraPenguin

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to allow it to compile on the arm

* Wed Dec 23 1998 Jeff Johnson <jbj@redhat.com>
- search /lib/modules/preferred before defaults but after specified paths.

* Tue Nov 17 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 2.1.121

* Thu Nov 05 1998 Erik Troan <ewt@redhat.com>
- added -m, -i options

* Thu Oct 01 1998 Michael K. Johnson <johnsonm@redhat.com>
- fix syntax error I introduced when enhancing initscript

* Wed Sep 30 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhance initscript

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Tue Jul 28 1998 Jeff Johnson <jbj@redhat.com>
- pick up ultrapenguin patches (not applied for now).
- pre-generate keyword.c so gperf doesn't have to be present (not applied).
- util/sys_cm.c: fix create_module syscall (signed return on sparc too)

* Wed Jul 15 1998 Jeff Johnson <jbj@redhat.com>
- correct %postun typos

* Fri May 01 1998 Erik Troan <ewt@redhat.com>
- added /lib/modules/preferred to search path

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.1.85
- actually make use of the BuildRoot

* Fri Apr  3 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Fix sparc64, add modinfo64 on sparc.

* Wed Mar 23 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Handle EM_SPARCV9, kludge to support both 32bit and 64bit kernels
  from the same package on sparc/sparc64.

* Fri Nov  7 1997 Michael Fulbright
- removed warning message when conf.modules exists and is a empty

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- patched to honor -k in options
- added modprobe.1
- added init script

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- removed bogus strip of lsmod (which is a script)

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- updated to 2.1.55
- builds in a buildroot

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- added insmod.static

* Sun Aug 24 1997 Erik Troan <ewt@redhat.com>
- built on Intel
- combined rmmod and insmod
